<h1 mat-dialog-title>Adding nodes to hierarchy</h1>
<div mat-dialog-content>
  <mat-form-field>
    <mat-label>Hierarchy name</mat-label>
    <input matInput [(ngModel)]="data.hierarchyName">
  </mat-form-field>
  <mat-form-field>
    <mat-label>Hierarchy path</mat-label>
    <input matInput [(ngModel)]="data.hierarchyPath">
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Proceed</button>
</div>
